\section{Methodology} \label{sec:methodology}
We chose smart home IoT devices because they provide a wider attack surface due to their numerous interconnected components such as cameras, alarms, motion detectors and many other sensors.
We targeted a set of home security devices including Swann Smart Home Security Kit (SWO-HUB01K), D-Link Home Security Kit (DCH-G020), D-Link camera (DCS-935L), Panasonic Home Monitoring and Control Kit (KX-HN6012EW), Telldus Smart Home Start-up Kit and Samsung SmartThings (F-H-ETH-001).
We performed DoS attacks on the selected devices, mainly Wi-Fi deauthentication and blackhole attacks.
We used {\tt {arpspoof}} tool~\cite{arppoisoning} for a blackhole attack and {\tt {aireplay-ng}} tool~\cite{aireplay-ng} for Wi-Fi deauthentication attack.
{\tt {arpspoof}} tool was used to achieve a MITM position and IP forwarding was disabled to complete the blackhole attack.
Moreover, we analysed network traffic thoroughly to find patterns that were then used in our selective forwarding attack.
Traffic analysis was mainly conducted using {\tt {Wireshark}}~\cite{wireshark}, in which several {\tt {Wireshark}} filters were used to analyse and identify patterns in network traffic of each device.
In addition, our selective forwarding attack requires achieving a MITM position on the Transport layer.
Thus, it was necessary to run a TCP proxy and force the devices to connect to the proxy instead of connecting to their legitimate servers.
DNS poisoning was the best option to force the devices to connect to the proxy.
For that, we used {\tt {Wireshark}} to view DNS requests and responses, and identify the domain names and the IP addresses of the servers.
Then, we used {\tt {Bind9}} and configured it to resolve the identified DNS requests to the IP address of the machine that is running the proxy.
As a result, all devices connected to the proxy instead of connecting to their servers.
The proxy was developed as a Python script, and it can be found with the Bind9 configurations on GitHub\footnote{https://github.com/HaririAli/IoTHeartbeatProxy.git}.
